Browse files

Fix syntax error in rails adapter, oye! Bump version number to 1.2.4

  • Loading branch information...
1 parent 4ad001c commit f52228f87ef443276a76719bd281c03403c17b3d @macournoyer macournoyer committed Sep 5, 2009
Showing with 4 additions and 4 deletions.
  1. +1 −1 CHANGELOG
  2. +2 −2 lib/rack/adapter/rails.rb
  3. +1 −1 lib/thin/version.rb
View
2 CHANGELOG
@@ -1,4 +1,4 @@
-== 1.2.3
+== 1.2.4 Flaming Astroboy
* Fix a few issues in thin to make it a better "gem citizen" [josh]
* Fix test for rack based Rails in adapter under Ruby >= 1.8.7 [#109 state:resolved]
* Fix Remote address spoofing vulnerability in Connection#remote_address [Alexey Borzenkov]
View
4 lib/rack/adapter/rails.rb
@@ -33,8 +33,8 @@ def initialize(options={})
def rack_based?
ActionController.const_defined?(:Dispatcher) &&
- (ActionController::Dispatcher.instance_methods.include?(:call)
- || ActionController::Dispatcher.instance_methods.include?("call"))
+ (ActionController::Dispatcher.instance_methods.include?(:call) ||
+ ActionController::Dispatcher.instance_methods.include?("call"))
end
def load_application
View
2 lib/thin/version.rb
@@ -6,7 +6,7 @@ class PlatformNotSupported < RuntimeError; end
module VERSION #:nodoc:
MAJOR = 1
MINOR = 2
- TINY = 3
+ TINY = 4
STRING = [MAJOR, MINOR, TINY].join('.')

0 comments on commit f52228f

Please sign in to comment.